package com.mortals.xhx.module.goview.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.goview.model.vo.GoviewMasterplateVo;
/**
* 模板表实体对象
*
* @author zxfei
* @date 2023-04-16
*/

public class GoviewMasterplateEntity extends GoviewMasterplateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模板名称
    */
    private String masterplateName;
    /**
    * 发布用户ID
    */
    private Long customerId;
    /**
    * 项目状态[0未发布,1发布]
    */
    private Integer state;
    /**
    * 首页图片
    */
    private String indexImage;
    /**
    * 模板介绍
    */
    private String remarks;



    public GoviewMasterplateEntity(){}
    /**
    * 获取 模板名称
    * @return String
    */
    public String getMasterplateName(){
        return masterplateName;
    }
    /**
    * 设置 模板名称
    * @param masterplateName
    */
    public void setMasterplateName(String masterplateName){
        this.masterplateName = masterplateName;
    }
    /**
    * 获取 发布用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 发布用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 项目状态[0未发布,1发布]
    * @return Integer
    */
    public Integer getState(){
        return state;
    }
    /**
    * 设置 项目状态[0未发布,1发布]
    * @param state
    */
    public void setState(Integer state){
        this.state = state;
    }
    /**
    * 获取 首页图片
    * @return String
    */
    public String getIndexImage(){
        return indexImage;
    }
    /**
    * 设置 首页图片
    * @param indexImage
    */
    public void setIndexImage(String indexImage){
        this.indexImage = indexImage;
    }
    /**
    * 获取 模板介绍
    * @return String
    */
    public String getRemarks(){
        return remarks;
    }
    /**
    * 设置 模板介绍
    * @param remarks
    */
    public void setRemarks(String remarks){
        this.remarks = remarks;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof GoviewMasterplateEntity) {
            GoviewMasterplateEntity tmp = (GoviewMasterplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",masterplateName:").append(getMasterplateName());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",state:").append(getState());
        sb.append(",indexImage:").append(getIndexImage());
        sb.append(",remarks:").append(getRemarks());
        return sb.toString();
    }

    public void initAttrValue(){

            this.masterplateName = "";

            this.customerId = null;

            this.state = null;

            this.indexImage = "";

            this.remarks = "";
    }
}