package com.mortals.xhx.module.news.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.news.model.NewsEntity;
/**
* 用户消息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class NewsQuery extends NewsEntity {
    /** 开始 消息ID，主键，自增长 */
    private Long idStart;

    /** 结束 消息ID，主键，自增长 */
    private Long idEnd;

    /** 增加 消息ID，主键，自增长 */
    private Long idIncrement;

    /** 消息ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 消息id */
    private Long messageIdStart;

    /** 结束 消息id */
    private Long messageIdEnd;

    /** 增加 消息id */
    private Long messageIdIncrement;

    /** 消息id列表 */
    private List <Long> messageIdList;

    /** 开始 客户id */
    private Long customerIdStart;

    /** 结束 客户id */
    private Long customerIdEnd;

    /** 增加 客户id */
    private Long customerIdIncrement;

    /** 客户id列表 */
    private List <Long> customerIdList;

    /** 消息标题 */
    private List<String> titleList;

    /** 消息内容 */
    private List<String> contentList;

    /** 开始 消息类型1标题消息2动态消息 */
    private Integer messageTypeStart;

    /** 结束 消息类型1标题消息2动态消息 */
    private Integer messageTypeEnd;

    /** 增加 消息类型1标题消息2动态消息 */
    private Integer messageTypeIncrement;

    /** 消息类型1标题消息2动态消息列表 */
    private List <Integer> messageTypeList;

    /** 开始 查阅状态0未读1已读 */
    private Integer readStatusStart;

    /** 结束 查阅状态0未读1已读 */
    private Integer readStatusEnd;

    /** 增加 查阅状态0未读1已读 */
    private Integer readStatusIncrement;

    /** 查阅状态0未读1已读列表 */
    private List <Integer> readStatusList;

    /** 开始 接收时间 */
    private String receiveTimeStart;

    /** 结束 接收时间 */
    private String receiveTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NewsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NewsQuery> andConditionList;

    public NewsQuery(){}

    /**
    * 获取 开始 消息ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 消息ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 消息ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 消息ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 消息ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 消息ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 消息ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 消息ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 消息id
    * @return messageIdStart
    */
    public Long getMessageIdStart(){
        return this.messageIdStart;
    }

    /**
    * 设置 开始 消息id
    * @param messageIdStart
    */
    public void setMessageIdStart(Long messageIdStart){
        this.messageIdStart = messageIdStart;
    }

    /**
    * 获取 结束 消息id
    * @return $messageIdEnd
    */
    public Long getMessageIdEnd(){
        return this.messageIdEnd;
    }

    /**
    * 设置 结束 消息id
    * @param messageIdEnd
    */
    public void setMessageIdEnd(Long messageIdEnd){
        this.messageIdEnd = messageIdEnd;
    }

    /**
    * 获取 增加 消息id
    * @return messageIdIncrement
    */
    public Long getMessageIdIncrement(){
        return this.messageIdIncrement;
    }

    /**
    * 设置 增加 消息id
    * @param messageIdIncrement
    */
    public void setMessageIdIncrement(Long messageIdIncrement){
        this.messageIdIncrement = messageIdIncrement;
    }

    /**
    * 获取 消息id
    * @return messageIdList
    */
    public List<Long> getMessageIdList(){
        return this.messageIdList;
    }

    /**
    * 设置 消息id
    * @param messageIdList
    */
    public void setMessageIdList(List<Long> messageIdList){
        this.messageIdList = messageIdList;
    }

    /**
    * 获取 开始 客户id
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户id
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户id
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户id
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 消息标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 消息标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }
    /**
    * 获取 消息内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 消息内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 消息类型1标题消息2动态消息
    * @return messageTypeStart
    */
    public Integer getMessageTypeStart(){
        return this.messageTypeStart;
    }

    /**
    * 设置 开始 消息类型1标题消息2动态消息
    * @param messageTypeStart
    */
    public void setMessageTypeStart(Integer messageTypeStart){
        this.messageTypeStart = messageTypeStart;
    }

    /**
    * 获取 结束 消息类型1标题消息2动态消息
    * @return $messageTypeEnd
    */
    public Integer getMessageTypeEnd(){
        return this.messageTypeEnd;
    }

    /**
    * 设置 结束 消息类型1标题消息2动态消息
    * @param messageTypeEnd
    */
    public void setMessageTypeEnd(Integer messageTypeEnd){
        this.messageTypeEnd = messageTypeEnd;
    }

    /**
    * 获取 增加 消息类型1标题消息2动态消息
    * @return messageTypeIncrement
    */
    public Integer getMessageTypeIncrement(){
        return this.messageTypeIncrement;
    }

    /**
    * 设置 增加 消息类型1标题消息2动态消息
    * @param messageTypeIncrement
    */
    public void setMessageTypeIncrement(Integer messageTypeIncrement){
        this.messageTypeIncrement = messageTypeIncrement;
    }

    /**
    * 获取 消息类型1标题消息2动态消息
    * @return messageTypeList
    */
    public List<Integer> getMessageTypeList(){
        return this.messageTypeList;
    }

    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageTypeList
    */
    public void setMessageTypeList(List<Integer> messageTypeList){
        this.messageTypeList = messageTypeList;
    }

    /**
    * 获取 开始 查阅状态0未读1已读
    * @return readStatusStart
    */
    public Integer getReadStatusStart(){
        return this.readStatusStart;
    }

    /**
    * 设置 开始 查阅状态0未读1已读
    * @param readStatusStart
    */
    public void setReadStatusStart(Integer readStatusStart){
        this.readStatusStart = readStatusStart;
    }

    /**
    * 获取 结束 查阅状态0未读1已读
    * @return $readStatusEnd
    */
    public Integer getReadStatusEnd(){
        return this.readStatusEnd;
    }

    /**
    * 设置 结束 查阅状态0未读1已读
    * @param readStatusEnd
    */
    public void setReadStatusEnd(Integer readStatusEnd){
        this.readStatusEnd = readStatusEnd;
    }

    /**
    * 获取 增加 查阅状态0未读1已读
    * @return readStatusIncrement
    */
    public Integer getReadStatusIncrement(){
        return this.readStatusIncrement;
    }

    /**
    * 设置 增加 查阅状态0未读1已读
    * @param readStatusIncrement
    */
    public void setReadStatusIncrement(Integer readStatusIncrement){
        this.readStatusIncrement = readStatusIncrement;
    }

    /**
    * 获取 查阅状态0未读1已读
    * @return readStatusList
    */
    public List<Integer> getReadStatusList(){
        return this.readStatusList;
    }

    /**
    * 设置 查阅状态0未读1已读
    * @param readStatusList
    */
    public void setReadStatusList(List<Integer> readStatusList){
        this.readStatusList = readStatusList;
    }

    /**
    * 获取 开始 接收时间
    * @return receiveTimeStart
    */
    public String getReceiveTimeStart(){
        return this.receiveTimeStart;
    }

    /**
    * 设置 开始 接收时间
    * @param receiveTimeStart
    */
    public void setReceiveTimeStart(String receiveTimeStart){
        this.receiveTimeStart = receiveTimeStart;
    }

    /**
    * 获取 结束 接收时间
    * @return receiveTimeEnd
    */
    public String getReceiveTimeEnd(){
        return this.receiveTimeEnd;
    }

    /**
    * 设置 结束 接收时间
    * @param receiveTimeEnd
    */
    public void setReceiveTimeEnd(String receiveTimeEnd){
        this.receiveTimeEnd = receiveTimeEnd;
    }

    /**
    * 设置  消息ID，主键，自增长
    * @param id
    */
    public NewsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 消息ID，主键，自增长
    * @param idStart
    */
    public NewsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 消息ID，主键，自增长
    * @param idEnd
    */
    public NewsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 消息ID，主键，自增长
    * @param idIncrement
    */
    public NewsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 消息ID，主键，自增长
    * @param idList
    */
    public NewsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  消息id
    * @param messageId
    */
    public NewsQuery messageId(Long messageId){
	    setMessageId(messageId);
		return this;
    }
	
	 /**
    * 设置 开始 消息id
    * @param messageIdStart
    */
    public NewsQuery messageIdStart(Long messageIdStart){
		this.messageIdStart = messageIdStart;
		return this;
    }

    /**
    * 设置 结束 消息id
    * @param messageIdEnd
    */
    public NewsQuery messageIdEnd(Long messageIdEnd){
		this.messageIdEnd = messageIdEnd;
		return this;
    }

    /**
    * 设置 增加 消息id
    * @param messageIdIncrement
    */
    public NewsQuery messageIdIncrement(Long messageIdIncrement){
		this.messageIdIncrement = messageIdIncrement;
		return this;
    }

    /**
    * 设置 消息id
    * @param messageIdList
    */
    public NewsQuery messageIdList(List<Long> messageIdList){
        this.messageIdList = messageIdList;
		return this;
        }

    /**
    * 设置  客户id
    * @param customerId
    */
    public NewsQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public NewsQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public NewsQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public NewsQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public NewsQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 消息标题
    * @param title
    */
    public NewsQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 消息标题
    * @param titleList
    */
    public NewsQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 消息内容
    * @param content
    */
    public NewsQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 消息内容
    * @param contentList
    */
    public NewsQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  消息类型1标题消息2动态消息
    * @param messageType
    */
    public NewsQuery messageType(Integer messageType){
	    setMessageType(messageType);
		return this;
    }
	
	 /**
    * 设置 开始 消息类型1标题消息2动态消息
    * @param messageTypeStart
    */
    public NewsQuery messageTypeStart(Integer messageTypeStart){
		this.messageTypeStart = messageTypeStart;
		return this;
    }

    /**
    * 设置 结束 消息类型1标题消息2动态消息
    * @param messageTypeEnd
    */
    public NewsQuery messageTypeEnd(Integer messageTypeEnd){
		this.messageTypeEnd = messageTypeEnd;
		return this;
    }

    /**
    * 设置 增加 消息类型1标题消息2动态消息
    * @param messageTypeIncrement
    */
    public NewsQuery messageTypeIncrement(Integer messageTypeIncrement){
		this.messageTypeIncrement = messageTypeIncrement;
		return this;
    }

    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageTypeList
    */
    public NewsQuery messageTypeList(List<Integer> messageTypeList){
        this.messageTypeList = messageTypeList;
		return this;
        }

    /**
    * 设置  查阅状态0未读1已读
    * @param readStatus
    */
    public NewsQuery readStatus(Integer readStatus){
	    setReadStatus(readStatus);
		return this;
    }
	
	 /**
    * 设置 开始 查阅状态0未读1已读
    * @param readStatusStart
    */
    public NewsQuery readStatusStart(Integer readStatusStart){
		this.readStatusStart = readStatusStart;
		return this;
    }

    /**
    * 设置 结束 查阅状态0未读1已读
    * @param readStatusEnd
    */
    public NewsQuery readStatusEnd(Integer readStatusEnd){
		this.readStatusEnd = readStatusEnd;
		return this;
    }

    /**
    * 设置 增加 查阅状态0未读1已读
    * @param readStatusIncrement
    */
    public NewsQuery readStatusIncrement(Integer readStatusIncrement){
		this.readStatusIncrement = readStatusIncrement;
		return this;
    }

    /**
    * 设置 查阅状态0未读1已读
    * @param readStatusList
    */
    public NewsQuery readStatusList(List<Integer> readStatusList){
        this.readStatusList = readStatusList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NewsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NewsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NewsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NewsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}