package com.mortals.xhx.module.goview.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.goview.model.GoviewProjectEntity;
/**
* GoviewProjectService
*
* 项目 service接口
*
* @author zxfei
* @date 2023-04-13
*/
public interface GoviewProjectService extends ICRUDService<GoviewProjectEntity,Long>{

    /**
     * 发布为模板
     * @param projectId
     * @throws AppException
     */
    void publishMasterplate(Long projectId, Context context) throws AppException;
}