package com.mortals.xhx.module.picture.model;

import java.util.List;
import com.mortals.xhx.module.picture.model.PictureMaterialEntity;
/**
* 图片素材查询对象
*
* @author zxfei
* @date 2022-06-15
*/
public class PictureMaterialQuery extends PictureMaterialEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 图片名称 */
    private List<String> pictureNameList;

    /** 开始 图片分组（系统参数中获取，字典数据） */
    private Long pictureGroupIdStart;

    /** 结束 图片分组（系统参数中获取，字典数据） */
    private Long pictureGroupIdEnd;

    /** 增加 图片分组（系统参数中获取，字典数据） */
    private Long pictureGroupIdIncrement;

    /** 图片分组（系统参数中获取，字典数据）列表 */
    private List <Long> pictureGroupIdList;

    /** 开始 图片分类（系统参数中获取，字典数据） */
    private Long pictureClassifyIdStart;

    /** 结束 图片分类（系统参数中获取，字典数据） */
    private Long pictureClassifyIdEnd;

    /** 增加 图片分类（系统参数中获取，字典数据） */
    private Long pictureClassifyIdIncrement;

    /** 图片分类（系统参数中获取，字典数据）列表 */
    private List <Long> pictureClassifyIdList;

    /** 开始 上传人 */
    private Long createUserIdStart;

    /** 结束 上传人 */
    private Long createUserIdEnd;

    /** 增加 上传人 */
    private Long createUserIdIncrement;

    /** 上传人列表 */
    private List <Long> createUserIdList;

    /** 开始 上传时间 */
    private String createTimeStart;

    /** 结束 上传时间 */
    private String createTimeEnd;

    /** 图片描述 */
    private List<String> pictureDescList;

    /** 图片下载地址（相对地址） */
    private List<String> picturePathList;

    /** 开始 图片类型，0:普通图片，1：素材，2:背景图片。默认：0 */
    private Integer pictureTypeStart;

    /** 结束 图片类型，0:普通图片，1：素材，2:背景图片。默认：0 */
    private Integer pictureTypeEnd;

    /** 增加 图片类型，0:普通图片，1：素材，2:背景图片。默认：0 */
    private Integer pictureTypeIncrement;

    /** 图片类型，0:普通图片，1：素材，2:背景图片。默认：0列表 */
    private List <Integer> pictureTypeList;

    /** 文件原始名称 */
    private List<String> fileNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PictureMaterialQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PictureMaterialQuery> andConditionList;

    public PictureMaterialQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 图片名称
    * @return pictureNameList
    */
    public List<String> getPictureNameList(){
        return this.pictureNameList;
    }

    /**
    * 设置 图片名称
    * @param pictureNameList
    */
    public void setPictureNameList(List<String> pictureNameList){
        this.pictureNameList = pictureNameList;
    }
    /**
    * 获取 开始 图片分组（系统参数中获取，字典数据）
    * @return pictureGroupIdStart
    */
    public Long getPictureGroupIdStart(){
        return this.pictureGroupIdStart;
    }

    /**
    * 设置 开始 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdStart
    */
    public void setPictureGroupIdStart(Long pictureGroupIdStart){
        this.pictureGroupIdStart = pictureGroupIdStart;
    }

    /**
    * 获取 结束 图片分组（系统参数中获取，字典数据）
    * @return $pictureGroupIdEnd
    */
    public Long getPictureGroupIdEnd(){
        return this.pictureGroupIdEnd;
    }

    /**
    * 设置 结束 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdEnd
    */
    public void setPictureGroupIdEnd(Long pictureGroupIdEnd){
        this.pictureGroupIdEnd = pictureGroupIdEnd;
    }

    /**
    * 获取 增加 图片分组（系统参数中获取，字典数据）
    * @return pictureGroupIdIncrement
    */
    public Long getPictureGroupIdIncrement(){
        return this.pictureGroupIdIncrement;
    }

    /**
    * 设置 增加 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdIncrement
    */
    public void setPictureGroupIdIncrement(Long pictureGroupIdIncrement){
        this.pictureGroupIdIncrement = pictureGroupIdIncrement;
    }

    /**
    * 获取 图片分组（系统参数中获取，字典数据）
    * @return pictureGroupIdList
    */
    public List<Long> getPictureGroupIdList(){
        return this.pictureGroupIdList;
    }

    /**
    * 设置 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdList
    */
    public void setPictureGroupIdList(List<Long> pictureGroupIdList){
        this.pictureGroupIdList = pictureGroupIdList;
    }

    /**
    * 获取 开始 图片分类（系统参数中获取，字典数据）
    * @return pictureClassifyIdStart
    */
    public Long getPictureClassifyIdStart(){
        return this.pictureClassifyIdStart;
    }

    /**
    * 设置 开始 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdStart
    */
    public void setPictureClassifyIdStart(Long pictureClassifyIdStart){
        this.pictureClassifyIdStart = pictureClassifyIdStart;
    }

    /**
    * 获取 结束 图片分类（系统参数中获取，字典数据）
    * @return $pictureClassifyIdEnd
    */
    public Long getPictureClassifyIdEnd(){
        return this.pictureClassifyIdEnd;
    }

    /**
    * 设置 结束 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdEnd
    */
    public void setPictureClassifyIdEnd(Long pictureClassifyIdEnd){
        this.pictureClassifyIdEnd = pictureClassifyIdEnd;
    }

    /**
    * 获取 增加 图片分类（系统参数中获取，字典数据）
    * @return pictureClassifyIdIncrement
    */
    public Long getPictureClassifyIdIncrement(){
        return this.pictureClassifyIdIncrement;
    }

    /**
    * 设置 增加 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdIncrement
    */
    public void setPictureClassifyIdIncrement(Long pictureClassifyIdIncrement){
        this.pictureClassifyIdIncrement = pictureClassifyIdIncrement;
    }

    /**
    * 获取 图片分类（系统参数中获取，字典数据）
    * @return pictureClassifyIdList
    */
    public List<Long> getPictureClassifyIdList(){
        return this.pictureClassifyIdList;
    }

    /**
    * 设置 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdList
    */
    public void setPictureClassifyIdList(List<Long> pictureClassifyIdList){
        this.pictureClassifyIdList = pictureClassifyIdList;
    }

    /**
    * 获取 开始 上传人
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 上传人
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 上传人
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 上传人
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 上传人
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 上传人
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 上传人
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 上传人
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 上传时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 上传时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 上传时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 上传时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 图片描述
    * @return pictureDescList
    */
    public List<String> getPictureDescList(){
        return this.pictureDescList;
    }

    /**
    * 设置 图片描述
    * @param pictureDescList
    */
    public void setPictureDescList(List<String> pictureDescList){
        this.pictureDescList = pictureDescList;
    }
    /**
    * 获取 图片下载地址（相对地址）
    * @return picturePathList
    */
    public List<String> getPicturePathList(){
        return this.picturePathList;
    }

    /**
    * 设置 图片下载地址（相对地址）
    * @param picturePathList
    */
    public void setPicturePathList(List<String> picturePathList){
        this.picturePathList = picturePathList;
    }
    /**
    * 获取 开始 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @return pictureTypeStart
    */
    public Integer getPictureTypeStart(){
        return this.pictureTypeStart;
    }

    /**
    * 设置 开始 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeStart
    */
    public void setPictureTypeStart(Integer pictureTypeStart){
        this.pictureTypeStart = pictureTypeStart;
    }

    /**
    * 获取 结束 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @return $pictureTypeEnd
    */
    public Integer getPictureTypeEnd(){
        return this.pictureTypeEnd;
    }

    /**
    * 设置 结束 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeEnd
    */
    public void setPictureTypeEnd(Integer pictureTypeEnd){
        this.pictureTypeEnd = pictureTypeEnd;
    }

    /**
    * 获取 增加 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @return pictureTypeIncrement
    */
    public Integer getPictureTypeIncrement(){
        return this.pictureTypeIncrement;
    }

    /**
    * 设置 增加 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeIncrement
    */
    public void setPictureTypeIncrement(Integer pictureTypeIncrement){
        this.pictureTypeIncrement = pictureTypeIncrement;
    }

    /**
    * 获取 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @return pictureTypeList
    */
    public List<Integer> getPictureTypeList(){
        return this.pictureTypeList;
    }

    /**
    * 设置 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeList
    */
    public void setPictureTypeList(List<Integer> pictureTypeList){
        this.pictureTypeList = pictureTypeList;
    }

    /**
    * 获取 文件原始名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 文件原始名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public PictureMaterialQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public PictureMaterialQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public PictureMaterialQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public PictureMaterialQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public PictureMaterialQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 图片名称
    * @param pictureName
    */
    public PictureMaterialQuery pictureName(String pictureName){
        setPictureName(pictureName);
		return this;
    }

    /**
    * 设置 图片名称
    * @param pictureNameList
    */
    public PictureMaterialQuery pictureNameList(List<String> pictureNameList){
        this.pictureNameList = pictureNameList;
		return this;
    }

    /**
    * 设置  图片分组（系统参数中获取，字典数据）
    * @param pictureGroupId
    */
    public PictureMaterialQuery pictureGroupId(Long pictureGroupId){
	    setPictureGroupId(pictureGroupId);
		return this;
    }
	
	 /**
    * 设置 开始 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdStart
    */
    public PictureMaterialQuery pictureGroupIdStart(Long pictureGroupIdStart){
		this.pictureGroupIdStart = pictureGroupIdStart;
		return this;
    }

    /**
    * 设置 结束 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdEnd
    */
    public PictureMaterialQuery pictureGroupIdEnd(Long pictureGroupIdEnd){
		this.pictureGroupIdEnd = pictureGroupIdEnd;
		return this;
    }

    /**
    * 设置 增加 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdIncrement
    */
    public PictureMaterialQuery pictureGroupIdIncrement(Long pictureGroupIdIncrement){
		this.pictureGroupIdIncrement = pictureGroupIdIncrement;
		return this;
    }

    /**
    * 设置 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupIdList
    */
    public PictureMaterialQuery pictureGroupIdList(List<Long> pictureGroupIdList){
        this.pictureGroupIdList = pictureGroupIdList;
		return this;
        }

    /**
    * 设置  图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyId
    */
    public PictureMaterialQuery pictureClassifyId(Long pictureClassifyId){
	    setPictureClassifyId(pictureClassifyId);
		return this;
    }
	
	 /**
    * 设置 开始 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdStart
    */
    public PictureMaterialQuery pictureClassifyIdStart(Long pictureClassifyIdStart){
		this.pictureClassifyIdStart = pictureClassifyIdStart;
		return this;
    }

    /**
    * 设置 结束 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdEnd
    */
    public PictureMaterialQuery pictureClassifyIdEnd(Long pictureClassifyIdEnd){
		this.pictureClassifyIdEnd = pictureClassifyIdEnd;
		return this;
    }

    /**
    * 设置 增加 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdIncrement
    */
    public PictureMaterialQuery pictureClassifyIdIncrement(Long pictureClassifyIdIncrement){
		this.pictureClassifyIdIncrement = pictureClassifyIdIncrement;
		return this;
    }

    /**
    * 设置 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyIdList
    */
    public PictureMaterialQuery pictureClassifyIdList(List<Long> pictureClassifyIdList){
        this.pictureClassifyIdList = pictureClassifyIdList;
		return this;
        }

    /**
    * 设置  上传人
    * @param createUserId
    */
    public PictureMaterialQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 上传人
    * @param createUserIdStart
    */
    public PictureMaterialQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 上传人
    * @param createUserIdEnd
    */
    public PictureMaterialQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 上传人
    * @param createUserIdIncrement
    */
    public PictureMaterialQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 上传人
    * @param createUserIdList
    */
    public PictureMaterialQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



	/**
    * 设置 图片描述
    * @param pictureDesc
    */
    public PictureMaterialQuery pictureDesc(String pictureDesc){
        setPictureDesc(pictureDesc);
		return this;
    }

    /**
    * 设置 图片描述
    * @param pictureDescList
    */
    public PictureMaterialQuery pictureDescList(List<String> pictureDescList){
        this.pictureDescList = pictureDescList;
		return this;
    }


	/**
    * 设置 图片下载地址（相对地址）
    * @param picturePath
    */
    public PictureMaterialQuery picturePath(String picturePath){
        setPicturePath(picturePath);
		return this;
    }

    /**
    * 设置 图片下载地址（相对地址）
    * @param picturePathList
    */
    public PictureMaterialQuery picturePathList(List<String> picturePathList){
        this.picturePathList = picturePathList;
		return this;
    }

    /**
    * 设置  图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureType
    */
    public PictureMaterialQuery pictureType(Integer pictureType){
	    setPictureType(pictureType);
		return this;
    }
	
	 /**
    * 设置 开始 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeStart
    */
    public PictureMaterialQuery pictureTypeStart(Integer pictureTypeStart){
		this.pictureTypeStart = pictureTypeStart;
		return this;
    }

    /**
    * 设置 结束 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeEnd
    */
    public PictureMaterialQuery pictureTypeEnd(Integer pictureTypeEnd){
		this.pictureTypeEnd = pictureTypeEnd;
		return this;
    }

    /**
    * 设置 增加 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeIncrement
    */
    public PictureMaterialQuery pictureTypeIncrement(Integer pictureTypeIncrement){
		this.pictureTypeIncrement = pictureTypeIncrement;
		return this;
    }

    /**
    * 设置 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureTypeList
    */
    public PictureMaterialQuery pictureTypeList(List<Integer> pictureTypeList){
        this.pictureTypeList = pictureTypeList;
		return this;
        }


	/**
    * 设置 文件原始名称
    * @param fileName
    */
    public PictureMaterialQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 文件原始名称
    * @param fileNameList
    */
    public PictureMaterialQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PictureMaterialQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PictureMaterialQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PictureMaterialQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PictureMaterialQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}